# Asterisk Project : Asterisk 13 Configuration_cel

Created and last modified by wikibot on Aug 11, 2014

This configuration documentation is for functionality provided by `cel`.

## cel.conf

### general

Options that apply globally to Channel Event Logging (CEL)

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`enable` | `Boolean` | `no` | `false` | Determines whether CEL is enabled
`dateformat` | `String` |  | `false` | The format to be used for dates when logging
`apps` | `Custom` |  | `false` | List of apps for CEL to track
`events` | `Custom` |  | `false` | List of events for CEL to track

#### Configuration Option Descriptions

##### apps

A case-insensitive, comma-separated list of applications to track when one or both of APP_START and APP_END events are flagged for tracking

##### events

A case-sensitive, comma-separated list of event names to track. These event names do not include the leading `AST_CEL`.

- `ALL` - Special value which tracks all events.
- `CHAN_START`
- `CHAN_END`
- `ANSWER`
- `HANGUP`
- `APP_START`
- `APP_END`
- `PARK_START`
- `PARK_END`
- `USER_DEFINED`
- `BRIDGE_ENTER`
- `BRIDGE_EXIT`
- `BLINDTRANSFER`
- `ATTENDEDTRANSFER`
- `PICKUP`
- `FORWARD`
- `LINKEDID_END`
- `LOCAL_OPTIMIZE`

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420717